"""Serializers for the dispatcher API objects."""

from rest_framework import serializers

from dispatch.models import Dispatcher, DispatcherAction


class DispatcherActionSerializer(serializers.ModelSerializer):

    class Meta:
        model = DispatcherAction
        fields = ('id', 'dispatcher', 'type', 'destination')


class DispatcherSerializer(serializers.ModelSerializer):

    actions = DispatcherActionSerializer(many=True, read_only=True)

    class Meta:
        model = Dispatcher
        fields = ('id', 'key', 'actions')


class DispatchMessageSerializer(serializers.Serializer):

    message = serializers.CharField()
    status = serializers.CharField(read_only=True)
