# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='StorycraftGame',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('game_length', models.PositiveSmallIntegerField()),
                ('line_length', models.PositiveSmallIntegerField()),
                ('lines_per_turn', models.PositiveSmallIntegerField()),
                ('status', models.CharField(max_length=16, choices=[('OPEN', 'OPEN'), ('IN PROGRESS', 'IN PROGRESS'), ('COMPLETED', 'COMPLETED')])),
                ('owner_nick', models.CharField(max_length=64)),
                ('owner_nickmask', models.CharField(max_length=200)),
                ('start_time', models.DateTimeField()),
                ('end_time', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='StorycraftLine',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('line', models.TextField(default='')),
                ('time', models.DateTimeField(auto_now_add=True)),
                ('game', models.ForeignKey(to='storycraft.StorycraftGame')),
            ],
        ),
        migrations.CreateModel(
            name='StorycraftPlayer',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('nick', models.CharField(max_length=64)),
                ('nickmask', models.CharField(max_length=200)),
                ('game', models.ForeignKey(to='storycraft.StorycraftGame')),
            ],
        ),
        migrations.AddField(
            model_name='storycraftline',
            name='player',
            field=models.ForeignKey(to='storycraft.StorycraftPlayer'),
        ),
    ]
